tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: compiling jakarta-tomcat-connectors-4.1.24-src
Date Tue, 02 Dec 2008 09:05:54 GMT
Ted Yu wrote:
> I downloaded jakarta-tomcat-connectors-4.1.24-src.
> But compilation gave me:
> 
> /usr/ports/www/mod_webapp/work/jakarta-tomcat-connectors-4.1.24-src/weba
> pp/include/apr_network_io.h:121: error: syntax error before
> "apr_uint32_t"

<snip/>

> How should I proceed ?

Don't try building from the 4.1.24 source. Use the latest mod_jk from
http://tomcat.apache.org/download-connectors.cgi

Also, upgrade to Tomcat 6 if you can. If you can't you should at least move
to 4.1.37 or the (hopefully) soon to be released 4.1.38 as there have been
many, many bug fixes including some important security fixes.

Mark


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message